package router

import (
	"github.com/labstack/echo/v4"
)

func authHeader(next echo.HandlerFunc) echo.HandlerFunc {
	return func(c echo.Context) error {
		c.Response().Header().Set("Remote-Groups", c.Request().Header.Get("Remote-Groups"))
		c.Response().Header().Set("Remote-Name", c.Request().Header.Get("Remote-Name"))
		return next(c)
	}
}
